aspect3d {rgl} | R Documentation

## Set the aspect ratios of the current plot

### Description

This function sets the apparent ratios of the x, y, and z axes of the current bounding box.

### Usage

    aspect3d(x, y = NULL, z = NULL)

### Arguments

`x` | The ratio for the x axis, or all three ratios, or `"iso"`
`y` | The ratio for the y axis
`z` | The ratio for the z axis

### Details

If the ratios are all 1, the bounding box will be displayed as a cube approximately filling the display. Values may be set larger or smaller as desired. Aspect `"iso"` signifies that the coordinates should all be displayed at the same scale, i.e. the bounding box should not be rescaled. (This corresponds to the default display before `aspect3d` has been called.) Partial matches to `"iso"` are allowed.

`aspect3d` works by modifying `par3d("scale")`.

### Value

The previous value of the scale is returned invisibly.

### Author(s)

Duncan Murdoch

### See Also

`plot3d`, `par3d`

### Examples

      x <- rnorm(100)
      y <- rnorm(100)*2
      z <- rnorm(100)*3

      open3d()
      plot3d(x, y, z)
      aspect3d(1, 1, 0.5)
      highlevel()  # To trigger display
      open3d()
      plot3d(x, y, z)
      aspect3d("iso")
      highlevel()

[Package rgl version 0.99.16 Index]